version: "3.1"

services:
  scrapngo-node:
    image: registry.gitlab.com/scrapngo/docker-scrapngo/node:1
    volumes:
      - ${ID_RSA_PUB}:/home/scrapngo/.ssh/authorized_keys
      - ${PWD}:/home/scrapngo/data/node-home/casper-boilerplate
      - ${PWD}/output:/home/scrapngo/data/output
    ports:
      - "2222:22"
    links:
      - scrapngo-server

  scrapngo-server:
    image: registry.gitlab.com/scrapngo/docker-scrapngo/server:0
    volumes:
      - ${ID_RSA}:/home/scrapngo/.ssh/id_rsa
      - ${ID_RSA_PUB}:/home/scrapngo/.ssh/id_rsa.pub
      - ${PWD}/scrapngo/tasks:/srv/scrapngo/tasks
      - ${PWD}/scrapngo/scrapngo.yml:/srv/scrapngo/scrapngo.yml
    ports:
      - "8080:8080"     


